GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
gdcm::Element< TVR, TVM > Class Template Reference

Element class. More...

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::Element< TVR, TVM >:
[legend]
Collaboration diagram for gdcm::Element< TVR, TVM >:
[legend]

## Public Types

typedef VRToType< TVR >::Type | Type

## Public Member Functions

DataElement | GetAsDataElement () const
unsigned long | GetLength () const
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
VRToType< TVR >::Type & | GetValue (unsigned int idx=0)
const VRToType< TVR >::Type * | GetValues () const
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetFromDataElement (DataElement const &de)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const

## Static Public Member Functions

static VM | GetVM ()
static VR | GetVR ()

## Public Attributes

VRToType< TVR >::Type | Internal [VMToLength< TVM >::Length]

## Protected Member Functions

void | SetNoSwap (Value const &v)

## Detailed Description

### template<int TVR, int TVM>
class gdcm::Element< TVR, TVM >

Element class.

Note
  TODO

Examples:
  csa2img.cxx, DumpADAC.cxx, DumpGEMSMovieGroup.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, GetSubSequenceData.cxx, and iU22tomultisc.cxx.

## Member Typedef Documentation

template<int TVR, int TVM>

typedef VRToType<TVR>::Type gdcm::Element< TVR, TVM >::Type

## Member Function Documentation

template<int TVR, int TVM>

DataElement gdcm::Element< TVR, TVM >::GetAsDataElement | ( |  | ) | const

inline

template<int TVR, int TVM>

unsigned long gdcm::Element< TVR, TVM >::GetLength | ( |  | ) | const

inline

Referenced by gdcm::Element< VR::OB, VM::VM1_n >::GetAsDataElement(), gdcm::Element< TVR, VM::VM1_n >::GetAsDataElement(), gdcm::Element< TVR, VM::VM1_n >::Print(), gdcm::Element< VR::OB, VM::VM1_n >::Read(), gdcm::Element< TVR, VM::VM1_n >::Read(), gdcm::Element< VR::OB, VM::VM1_n >::Set(), gdcm::Element< TVR, VM::VM1_n >::Set(), gdcm::Element< VR::OB, VM::VM1_n >::SetNoSwap(), gdcm::Element< TVR, VM::VM1_n >::SetNoSwap(), gdcm::Element< VR::OB, VM::VM1_n >::Write(), gdcm::Element< TVR, VM::VM1_n >::Write(), and gdcm::Element< TVR, VM::VM1_n >::WriteASCII().

template<int TVR, int TVM>

const VRToType<TVR>::Type& gdcm::Element< TVR, TVM >::GetValue | ( | unsigned int | idx = `0` | ) | const

inline

Referenced by gdcm::Element< VR::OB, VM::VM1_n >::operator[](), and gdcm::Element< TVR, VM::VM1_n >::operator[]().

template<int TVR, int TVM>

VRToType<TVR>::Type& gdcm::Element< TVR, TVM >::GetValue | ( | unsigned int | idx = `0` | ) |

inline

template<int TVR, int TVM>

const VRToType<TVR>::Type* gdcm::Element< TVR, TVM >::GetValues | ( |  | ) | const

inline

template<int TVR, int TVM>

static VM gdcm::Element< TVR, TVM >::GetVM | ( |  | ) |

inlinestatic

template<int TVR, int TVM>

static VR gdcm::Element< TVR, TVM >::GetVR | ( |  | ) |

inlinestatic

Referenced by gdcm::Element< VR::OB, VM::VM1_n >::GetAsDataElement(), and gdcm::Element< TVR, VM::VM1_n >::GetAsDataElement().

template<int TVR, int TVM>

VRToType<TVR>::Type gdcm::Element< TVR, TVM >::operator[] | ( | unsigned int | idx | ) | const

inline

template<int TVR, int TVM>

void gdcm::Element< TVR, TVM >::Print | ( | std::ostream & | _os | ) | const

inline

template<int TVR, int TVM>

void gdcm::Element< TVR, TVM >::Read | ( | std::istream & | _is | ) |

inline

Referenced by gdcm::Element< VR::OB, VM::VM1_n >::Read(), gdcm::Element< TVR, VM::VM1_n >::Read(), gdcm::Element< VR::OB, VM::VM1_n >::Set(), and gdcm::Element< TVR, VM::VM1_n >::Set().

template<int TVR, int TVM>

void gdcm::Element< TVR, TVM >::Set | ( | Value const & | v | ) |

inline

Referenced by gdcm::Element< VR::OB, VM::VM1_n >::SetFromDataElement(), and gdcm::Element< TVR, VM::VM1_n >::SetFromDataElement().

template<int TVR, int TVM>

void gdcm::Element< TVR, TVM >::SetFromDataElement | ( | DataElement< TVR, TVM > const & | de | ) |

inline

template<int TVR, int TVM>

void gdcm::Element< TVR, TVM >::SetNoSwap | ( | Value const & | v | ) |

inlineprotected

Referenced by gdcm::Element< VR::OB, VM::VM1_n >::SetFromDataElement(), and gdcm::Element< TVR, VM::VM1_n >::SetFromDataElement().

template<int TVR, int TVM>

void gdcm::Element< TVR, TVM >::SetValue | ( | typename VRToType< TVR >::Type | v,
|  | unsigned int | idx = `0`
| ) |  |

inline

template<int TVR, int TVM>

void gdcm::Element< TVR, TVM >::Write | ( | std::ostream & | _os | ) | const

inline

Referenced by gdcm::Element< VR::OB, VM::VM1_n >::GetAsDataElement(), gdcm::Element< TVR, VM::VM1_n >::GetAsDataElement(), gdcm::Element< VR::OB, VM::VM1_n >::Write(), and gdcm::Element< TVR, VM::VM1_n >::Write().

## Member Data Documentation

template<int TVR, int TVM>

VRToType<TVR>::Type gdcm::Element< TVR, TVM >::Internal[VMToLength< TVM >::Length]

Referenced by gdcm::Element< VR::OB, VM::VM1_n >::GetAsDataElement(), gdcm::Element< VR::OB, VM::VM1_n >::GetValue(), gdcm::Element< VR::OB, VM::VM1_n >::GetValues(), gdcm::Element< VR::OB, VM::VM1_n >::Print(), gdcm::Element< VR::AS, VM::VM5 >::Print(), gdcm::Element< VR::OB, VM::VM1_n >::Read(), gdcm::Element< VR::OB, VM::VM1_n >::Set(), gdcm::Element< TVR, VM::VM1_n >::SetLength(), gdcm::Element< VR::OB, VM::VM1_n >::SetNoSwap(), gdcm::Element< VR::OB, VM::VM1_n >::SetValue(), gdcm::Element< VR::OB, VM::VM1_n >::Write(), and gdcm::Element< TVR, VM::VM1_n >::~Element().

The documentation for this class was generated from the following file:

- gdcmElement.h